From b6b6d2eb88bcf63037288e4361542f0d28279253 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 27 2020 20:20:25 +0000
Subject: [PATCH 1801/2232] Add test of size_of, align_of


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index cd367d8..e508494 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -668,6 +668,11 @@ extern "C" const char *cxx_run_test() noexcept {
     }                                                                          \
   } while (false)
 
+  ASSERT(rust::size_of<R>() == sizeof(size_t));
+  ASSERT(rust::align_of<R>() == alignof(size_t));
+  ASSERT(rust::size_of<size_t>() == sizeof(size_t));
+  ASSERT(rust::align_of<size_t>() == alignof(size_t));
+
   ASSERT(r_return_primitive() == 2020);
   ASSERT(r_return_shared().z == 2020);
   ASSERT(cxx_test_suite_r_is_correct(&*r_return_box()));

